package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.InventoryBase;

import java.util.List;

public interface InventoryBaseService {
    boolean saveInventoryBase(InventoryBase inventoryBase);
    boolean deleteInventoryBaseById(String id);
    boolean updateInventoryBase(InventoryBase inventoryBase);
    InventoryBase getInventoryBaseById(String id);
    TableDataInfo<InventoryBase> getAllInventoryBases(String type, PageQuery pageQuery);
}
